<template>
  <div>
    <div class="modal-header p-2">Thủ công</div>
    <div class="modal-body">
      <form @submit.prevent>
        <div class="w-full">
          <div class="vx-row items-baseline">
            <div class="vx-col w-2/3">
              <!-- Enter Count -->
              <vs-input
                v-validate="'required'"
                :name="`count`"
                label-placeholder="Số lượng"
                v-model="count"
                :color="validateForm ? 'success' : 'danger'"
                class="w-full"
              />
            </div>
            <!-- /Enter Count -->

            <div class="vx-col w-1/3">
              <!-- <vs-input
                disabled
                name="unit"
                label-placeholder="Đơn vị"
                v-model="unit"
                class="w-full"
              /> -->
              <p>{{ unit | textMissionDayUnitEnum }}</p>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <vs-button @click="onSave">Lưu</vs-button>
      <vs-button @click="$emit('close')">Hủy bỏ</vs-button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    unit: { type: Number, default: null }
  },
  computed: {
    validateForm() {
      return !this.errors.any() && this.count != "";
    }
  },
  data() {
    return {
      count: ""
    };
  },
  methods: {
    onSave() {
      this.$emit("close", this.count);
    }
  }
};
</script>
